### Method

# GObject TypeClass get_instance_private_offset

since: 2.38

#### Declaration

    gint
    g_type_class_get_instance_private_offset (
      GObjectTypeClass* g_class
    )

#### Description

Gets the offset of the private data for instances of `g_class`.

This is how many bytes you should add to the instance pointer of a class in order to get the private data for the type represented by `g_class`.

You can only call this function after you have registered a private data area for `g_class` using g_type_class_add_private().

Available since: 2.38

This method is not directly available to language bindings.

#### Return value

Type: `gint`

The offset, in bytes.